onEvent('recipes', event => {

    //Ingots

    //Iron Ingots
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 600)
        .produceItem(Item.of("minecraft:iron_ingot", 1))
        .requireItem(Item.of("kubejs:ingot_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_iron", 144))

    //Gold Ingots
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 600)
        .produceItem(Item.of("minecraft:gold_ingot", 1))
        .requireItem(Item.of("kubejs:ingot_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_gold", 144))

    //Diamond
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 600)
        .produceItem(Item.of("minecraft:diamond", 1))
        .requireItem(Item.of("kubejs:gem_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_diamond", 144))

    //Emerald
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 600)
        .produceItem(Item.of("minecraft:emerald", 1))
        .requireItem(Item.of("kubejs:gem_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_emerald", 144))

    //Starmetal Ingot
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 600)
        .produceItem(Item.of("astralsorcery:starmetal_ingot", 1))
        .requireItem(Item.of("kubejs:ingot_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_starmetal", 144))

    //Energised Gold Alloy Ingot
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 600)
        .produceItem(Item.of("kubejs:energised_gold_alloy_ingot", 1))
        .requireItem(Item.of("kubejs:ingot_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_energised_gold_alloy", 144))

    //Crystallized Starlight
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 600)
        .produceItem(Item.of("kubejs:crystallized_starlight", 1))
        .requireItem(Item.of("kubejs:gem_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("astralsorcery:liquid_starlight", 1000))



    //Pickaxe Head

    //Iron Pickaxe Head
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 600)
        .produceItem(Item.of("kubejs:iron_pickaxe_head", 1))
        .requireItem(Item.of("kubejs:pickaxe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_iron", 432))

    //Golden Pickaxe Head
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 900)
        .produceItem(Item.of("kubejs:golden_pickaxe_head", 1))
        .requireItem(Item.of("kubejs:pickaxe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_gold", 432))

    //Diamond Pickaxe Head
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 1200)
        .produceItem(Item.of("kubejs:diamond_pickaxe_head", 1))
        .requireItem(Item.of("kubejs:pickaxe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_diamond", 432))



    //Axe Head

    //Iron Axe Head
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 600)
        .produceItem(Item.of("kubejs:iron_axe_head", 1))
        .requireItem(Item.of("kubejs:axe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_iron", 432))

    //Golden Axe Head
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 900)
        .produceItem(Item.of("kubejs:golden_axe_head", 1))
        .requireItem(Item.of("kubejs:axe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_gold", 432))

    //Diamond Axe Head
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 1200)
        .produceItem(Item.of("kubejs:diamond_axe_head", 1))
        .requireItem(Item.of("kubejs:axe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_diamond", 432))



    //Sword Blade

    //Iron Sword Blade
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 600)
        .produceItem(Item.of("kubejs:iron_sword_blade", 1))
        .requireItem(Item.of("kubejs:sword_blade_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_iron", 288))

    //Golden Sword Blade
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 900)
        .produceItem(Item.of("kubejs:golden_sword_blade", 1))
        .requireItem(Item.of("kubejs:sword_blade_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_gold", 288))

    //Diamond Sword Blade
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 1200)
        .produceItem(Item.of("kubejs:diamond_sword_blade", 1))
        .requireItem(Item.of("kubejs:sword_blade_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_diamond", 288))



    //Sword Guard

    //Iron Sword Guard
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 600)
        .produceItem(Item.of("kubejs:iron_sword_guard", 1))
        .requireItem(Item.of("kubejs:sword_guard_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_iron", 288))

    //Golden Sword Guard
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 900)
        .produceItem(Item.of("kubejs:golden_sword_guard", 1))
        .requireItem(Item.of("kubejs:sword_guard_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_gold", 288))

    //Diamond Sword Guard
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 1200)
        .produceItem(Item.of("kubejs:diamond_sword_guard", 1))
        .requireItem(Item.of("kubejs:sword_guard_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_diamond", 288))



    //Shovel Head

    //Iron Shovel Head
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 600)
        .produceItem(Item.of("kubejs:iron_shovel_head", 1))
        .requireItem(Item.of("kubejs:shovel_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_iron", 144))

    //Gold Shovel Head
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 900)
        .produceItem(Item.of("kubejs:golden_shovel_head", 1))
        .requireItem(Item.of("kubejs:shovel_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_gold", 144))

    //Diamond Shovel Head
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 1200)
        .produceItem(Item.of("kubejs:diamond_shovel_head", 1))
        .requireItem(Item.of("kubejs:shovel_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_diamond", 144))



    //Hoe Head

    //Iron Hoe Head
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 600)
        .produceItem(Item.of("kubejs:iron_hoe_head", 1))
        .requireItem(Item.of("kubejs:hoe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_iron", 288))

    //Golden Hoe Head
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 900)
        .produceItem(Item.of("kubejs:golden_hoe_head", 1))
        .requireItem(Item.of("kubejs:hoe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_gold", 288))

    //Diamond Hoe Head
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_solidifier", 1200)
        .produceItem(Item.of("kubejs:diamond_hoe_head", 1))
        .requireItem(Item.of("kubejs:hoe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_diamond", 288))

})